[RISOLTO] Pepperflashplugin su Wheezy

Problemi con l'installazione di pacchetti

[RISOLTO] Pepperflashplugin su Wheezy

Messaggioda fabio63 » 09/01/2014, 18:11

Ciao a tutti
usando Wheezy 64bit i miei figli vanno su dei siti di giochi che con il flash 11.2 di Iceweasel non funzionano bene (sono "scattosi" e a volte chrashano) quindi mi serve un flash più aggiornato. Volendo evitare di installare Chrome, avevo installato Chromium, scaricato da testing il pacchetto pepperflashplugin-nonfree v. 1.1 ed installandolo con gdebi mi aveva scaricato un'altro pacchetto (libpango_1.1.0) come dipendenza e tutto è andato a buon fine.
Oggi pomeriggio ho avuto la malsana idea di aggiornare pepperflashplugin ed ecco cos'è successo:

Codice: Seleziona tutto
Fabio@vraptus-desktop:~/Desktop$ sudo dpkg -i pepper*.deb
[sudo] password for root:
(Lettura del database... 133145 file e directory attualmente installati.)
Preparativi per sostituire pepperflashplugin-nonfree v.1.1 (utilizzando pepperflashplugin-nonfree_1.2_amd64.deb)...
Estrazione del sostituto di pepperflashplugin-nonfree...
dpkg: problemi con le dipendenze impediscono la configurazione di pepperflashplugin-nonfree:
 pepperflashplugin-nonfree dipende da libpango-1.0-0; comunque:
  Il pacchetto libpango-1.0-0 non è installato.

dpkg: errore nell'elaborare pepperflashplugin-nonfree (--install):
 problemi con le dipendenze - lasciato non configurato
Si sono verificati degli errori nell'elaborazione:
 pepperflashplugin-nonfree


A questo punto mi sono trovato il pacchetto pepperflashplugin come danneggiato.
Ho fatto

sudo apt-get install -f

e mi ha rimosso sia peppeflashplugin che libpango1.0.0.

Ho provato ad abilitare il repository testing ma cercando di installarli mi accade che mi vuole rimuovere 14 pacchetti ed installarne altri 152... insomma, HO FATTO UN CASINO! :( ;D ;D ;D Ho provato a vedere googolando un po' in giro se trovavo nuovamente i vecchi pacchetti (la versione precedente di libpango e di pepperflashplugin) ma non li ho trovati.

Cosa mi consigliate di fare?

Grazie 1000
Ultima modifica di fabio63 il 10/01/2014, 19:38, modificato 1 volta in totale.
fabio63
Jr. Member
Jr. Member
 
Messaggi: 51
Iscritto il: 05/09/2009, 16:02

Re: Pepperflashplugin su Wheezy

Messaggioda Danielsan » 09/01/2014, 19:38

Ah non sapevo che venisse pacchettizzato questo pepperflash, che è l'argomento della giornata, in effetti il semplice flash ultimamente arranca ed ha problemi con tutto. Tra l'altro pare che dalla versione 34 in poi non verrà più nemmeno supportato: http://www.oneopensource.it/09/01/2014/ ... er-aperto/

Comunque per risolvere il tuo problema puoi, innanzi tutto ripristinare lo status dei repo a solo Wheezy, dopo svuotare la cache dei pacchetti con:
Codice: Seleziona tutto
# apt-get clean

Questo cancella le copie dei pacchetti dalla cartella "/var/cache/apt"

Poi sei dai il comando:
Codice: Seleziona tutto
# aptitude reinstall pepperflashplugin-nonfree

Dovrebbe scaricarti tutti i pacchetti che servono da internet senza andarli a cercare prima nella cache che inevitabilmente ti va ad installare le versioni che trova, quelle che hai scaricato da testing.
Ultima modifica di Danielsan il 09/01/2014, 20:41, modificato 1 volta in totale.
Debian Testing/Sid amd64
systemd ha reso GNU/Linux più brutto...
Avatar utente
Danielsan
Hero Member
Hero Member
 
Messaggi: 1430
Iscritto il: 10/07/2009, 19:23
Località: Roma

Re: Pepperflashplugin su Wheezy

Messaggioda fabio63 » 09/01/2014, 19:51

Ciao Danielsan e grazie per la risposta
ora non ho sottomano il pc, domani proverò a fare come dici, ma permettimi una domanda: visto che pepperflash nel ramo stabile non c'è, se tolgo i repo di testing come può aptitude reinstallarlo? Comunque farò come mi dici e poi ti so dire... :)
Ancora grazie
fabio63
Jr. Member
Jr. Member
 
Messaggi: 51
Iscritto il: 05/09/2009, 16:02

Re: Pepperflashplugin su Wheezy

Messaggioda Danielsan » 09/01/2014, 20:40

Ah questo non lo sapevo...
È che uso testing davo per scontanto che ci fosse anche in stable.

Lascia stare il commento di prima.
È il caso innanzi tutto di eliminare i pacchetti installati manualmente e dopo ripristinare quelli di Wheezy.

Mentre nel tuo caso la soluzione potrebbe essere nel pinning.
Lo puoi fare genericamente verso Testing o lo puoi fare specificatamente verso alcuni pacchetti.

Le guide sul pinning e sui repo sono state aggiornate di recente:
http://guide.debianizzati.org/index.php ... o_utilizzo
http://guide.debianizzati.org/index.php ... 26_pinning
Debian Testing/Sid amd64
systemd ha reso GNU/Linux più brutto...
Avatar utente
Danielsan
Hero Member
Hero Member
 
Messaggi: 1430
Iscritto il: 10/07/2009, 19:23
Località: Roma

Re: Pepperflashplugin su Wheezy

Messaggioda fabio63 » 10/01/2014, 19:37

Il problema è che devono essere cambiate molte cose in testing da quando è stato compilata la versione 1.1 a quando lo è stata la 1.2, e per installarsi la nuova richiede un sacco di dipendenze da testing. Non vorrei incasinare troppo la mia stabile.

Ho risolto adattandomi ad installare Chrome e poi modificando il file /etc/chromium/default aggiungendo la riga
CHROMIUM_FLAGS="--ppapi-flash-path=/opt/google/chrome/PepperFlash/libpepflashplayer.so"
poi nei plugin di chromium ho abilitato la visualizzazione dei dettagli, disabilitato il flash player con percorso /usr/lib/flashplugin-nonfree/libflashplayer.so ed abilitato quello con percorso /opt/google/chrome/PepperFlash/libpepflashplayer.so . Volendo si potrebbe rimuovere Chrome e lasciare solo la directory con i file del plugin, ma in fondo non utilizzandolo ma tenendolo installato solo per utilizzarne ed avere sempre aggiornato il flash player dovrei essere a posto.

Peccato piuttosto che libpepflashplugin non si riesca ad usare in Firefox, ho provato shumway ma ancora non ci siamo proprio... :(

Grazie comunque ;)
fabio63
Jr. Member
Jr. Member
 
Messaggi: 51
Iscritto il: 05/09/2009, 16:02

Re: [RISOLTO] Pepperflashplugin su Wheezy

Messaggioda Danielsan » 10/01/2014, 21:18

Buono che hai risolto anche se hai dovuto accogliere il grande fratello cattivo di Chromium... ;D

Comunque speriamo che finisca l'era di Flash al più presto.
Debian Testing/Sid amd64
systemd ha reso GNU/Linux più brutto...
Avatar utente
Danielsan
Hero Member
Hero Member
 
Messaggi: 1430
Iscritto il: 10/07/2009, 19:23
Località: Roma

Re: [RISOLTO] Pepperflashplugin su Wheezy

Messaggioda fabio63 » 15/01/2014, 17:11

Speriamo che finisca l'era dei software chiusi il prima possibile.

Comunque, volendo evitare di installare il "Grande Fratello Cattivo" di Chromium, si potrebbe scaricare Chrome e poi estrarre ed usare solo il flash player. Si potrebbe anche automatizzare (più o meno) il tutto con uno scriptino che contiene i seguenti comandi
Codice: Seleziona tutto
cd /tmp
wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb
dpkg-deb -x google-chrome-stable_current_* /tmp/chrome
cp -R -u /tmp/chrome/opt/google/chrome/PepperFlash /opt

poi ovviamente va sempre configurato il file /etc/chromium/default e chrome://plugins/ di Chromium come ho scritto prima.
I comandi non li ho provati ma dovrebbero funzionare, e si potrebbe eseguire lo script ad ogni aggiornamento di Chrome/Chromium in modo da avere sempre l'ultimo flash ma senza avere Chrome installato.

Ciao
fabio63
Jr. Member
Jr. Member
 
Messaggi: 51
Iscritto il: 05/09/2009, 16:02

Re: [RISOLTO] Pepperflashplugin su Wheezy

Messaggioda Danielsan » 15/01/2014, 19:36

Usando testing mi sono semplicemente scaricato il pepperflash... In effetti adesso alcuni video riesco a vederli cosa che con Iceweasel era diventato impossibile. Generalmente se sono video di yt li guardo da Minitube.
Debian Testing/Sid amd64
systemd ha reso GNU/Linux più brutto...
Avatar utente
Danielsan
Hero Member
Hero Member
 
Messaggi: 1430
Iscritto il: 10/07/2009, 19:23
Località: Roma

Re: [RISOLTO] Pepperflashplugin su Wheezy

Messaggioda gmc » 16/01/2014, 10:09

[OT]
Per youtube, utilizzo il player in html5 che funziona egregiamente su iceweasel senza flash.

L'unico problema è che a volte i formati hd non sono disponibili in html5. Ma l'uso del sistema è infinitamente più basso.

Per attivare l'html5 in youtube basta andare su youtube.com/html5

Peppe
Υπεραγία Θεοτόκε Σωσον ημάς!
Avatar utente
gmc
Global Moderator
Global Moderator
 
Messaggi: 1917
Iscritto il: 22/05/2007, 19:02
Località: Stuttgart (Stoccarda), Germania

Re: [RISOLTO] Pepperflashplugin su Wheezy

Messaggioda fabio63 » 16/01/2014, 12:23

Tra l'altro Youtube HTML5 mi pare anche più veloce di quello flash, ma purtroppo HTML5 è ancora poco diffuso in tantissimi siti (vedi solo i giornali on-line, il sito RAI, ecc.). Speriamo che con la nuova specifica che consente i DRM (mi pare di aver letto che è stata approvata una cosa simile) spariscano tutti i vari plugin. Certo, sarebbe sicuramente meglio che i DRM non esistessero neppure, ma piuttosto che niente è decisamente meglio piuttosto.
fabio63
Jr. Member
Jr. Member
 
Messaggi: 51
Iscritto il: 05/09/2009, 16:02


Torna a Installazione

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti